Find the answer to your Linux question:
Results 1 to 2 of 2
Hi all, i am newbie to this... my Box is running on RedHat 9, with 2.6.9-5.EL Kernel, and i was trying to update the same to 2.4.18[to have the "NTFS" ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Aug 2006
    Location
    Kerala,India
    Posts
    10

    Exclamation Not Able to Update the Kernel


    Hi all,
    i am newbie to this... my Box is running on RedHat 9, with 2.6.9-5.EL Kernel, and i was trying to update the same to 2.4.18[to have the "NTFS" support] but am not able to boot as it throws and exception while booting up..

    it says
    request_module[block-major-3]:Root fs not mounted
    FS:Cannot open root device "hda1" or 03:01

    i made the system in to a dual boot up setup.... with existing kernel and the new one with "ntfs" enbled

    any clue .....

    thanks in advance

  2. #2
    Linux Guru bigtomrodney's Avatar
    Join Date
    Nov 2004
    Location
    Ireland
    Posts
    6,133
    Why did you jump back to kernel 2.4? The support in 2.4 is no better there, in fact I think write support is due in 2.6.18 (but I might be off on that).

    I would imagine you have not included the device drivers for the root filesystem, which is why it cannot boot. What filesystem are you using? If it is anything other than ext2/3 I would be worried with 2.4. Even if it is one of those filesystems it is possible you left it out of the kernel while compiling. Also bear in mind that a lot of your apps and system is built for a 2.6 kernel so you will have broken many other things.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •